OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
juce::MPEChannelRemapper Class Reference

`#include <juce_MPEUtils.h>`

## Public Member Functions
| MPEChannelRemapper (MPEZoneLayout::Zone zoneToRemap)
void | remapMidiChannelIfNeeded (MidiMessage &message, uint32 mpeSourceID) noexcept
void | reset () noexcept
void | clearChannel (int channel) noexcept
void | clearSource (uint32 mpeSourceID)

## Static Public Attributes
static const uint32 | notMPE = 0

## Detailed Description

This class handles the logic for remapping MIDI note messages from multiple MPE sources onto a specified MPE zone.

Definition at line 102 of file juce_MPEUtils.h.

## Constructor & Destructor Documentation

## ◆ MPEChannelRemapper()

juce::MPEChannelRemapper::MPEChannelRemapper | ( | MPEZoneLayout::Zone | zoneToRemap | ) |

Constructor

Definition at line 147 of file juce_MPEUtils.cpp.

## Member Function Documentation

## ◆ clearChannel()

void juce::MPEChannelRemapper::clearChannel | ( | int | channel | ) |
| noexcept

Clears a specified channel of this MPE zone.

Definition at line 209 of file juce_MPEUtils.cpp.

## ◆ clearSource()

void juce::MPEChannelRemapper::clearSource | ( | uint32 | mpeSourceID | ) |

Clears all channels in use by a specified source.

Definition at line 214 of file juce_MPEUtils.cpp.

## ◆ remapMidiChannelIfNeeded()

void juce::MPEChannelRemapper::remapMidiChannelIfNeeded | ( | MidiMessage & | message,
|  | uint32 | mpeSourceID
| ) |  |
| noexcept

Remaps the MIDI channel of the specified MIDI message (if necessary).

Note that the MidiMessage object passed in will have it's channel changed if it needs to be remapped.

Parameters

  message | the message to be remapped
  mpeSourceID | the ID of the MPE source of the message. This is up to the user to define and keep constant

Definition at line 158 of file juce_MPEUtils.cpp.

## ◆ reset()

void juce::MPEChannelRemapper::reset | ( |  | ) |
| noexcept

Resets all the source & channel combinations.

Definition at line 203 of file juce_MPEUtils.cpp.

## Member Data Documentation

## ◆ notMPE

const uint32 juce::MPEChannelRemapper::notMPE = 0
| static

Used to indicate that a particular source & channel combination is not currently using MPE.

Definition at line 106 of file juce_MPEUtils.h.

Referenced by clearSource(), and reset().

The documentation for this class was generated from the following files:

- juce_MPEUtils.h
- juce_MPEUtils.cpp